Magick::PathArcArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions

| PathArcArgs (void)
| PathArcArgs (double radiusX_, double radiusY_, double xAxisRotation_, bool largeArcFlag_, bool sweepFlag_, double x_, double y_)
| PathArcArgs (const PathArcArgs &original_)
| ~PathArcArgs (void)
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | xAxisRotation (double xAxisRotation_)
double | xAxisRotation (void) const
void | largeArcFlag (bool largeArcFlag_)
bool | largeArcFlag (void) const
void | sweepFlag (bool sweepFlag_)
bool | sweepFlag (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2257 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathArcArgs::PathArcArgs | ( | void |  | ) |

Definition at line 1600 of file Drawable.cpp.

Magick::PathArcArgs::PathArcArgs | ( | double | radiusX_,
|  | double | radiusY_,
|  | double | xAxisRotation_,
|  | bool | largeArcFlag_,
|  | bool | sweepFlag_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1611 of file Drawable.cpp.

Magick::PathArcArgs::PathArcArgs | ( | const PathArcArgs & | original_ | ) |

Definition at line 1624 of file Drawable.cpp.

Magick::PathArcArgs::~PathArcArgs | ( | void |  | ) |

Definition at line 1635 of file Drawable.cpp.

## Member Function Documentation

void Magick::PathArcArgs::largeArcFlag | ( | bool | largeArcFlag_ | ) |

inline

Definition at line 2297 of file Drawable.h.

bool Magick::PathArcArgs::largeArcFlag | ( | void |  | ) | const

inline

Definition at line 2301 of file Drawable.h.

void Magick::PathArcArgs::radiusX | ( | double | radiusX_ | ) |

inline

Definition at line 2270 of file Drawable.h.

double Magick::PathArcArgs::radiusX | ( | void |  | ) | const

inline

Definition at line 2274 of file Drawable.h.

void Magick::PathArcArgs::radiusY | ( | double | radiusY_ | ) |

inline

Definition at line 2279 of file Drawable.h.

double Magick::PathArcArgs::radiusY | ( | void |  | ) | const

inline

Definition at line 2283 of file Drawable.h.

void Magick::PathArcArgs::sweepFlag | ( | bool | sweepFlag_ | ) |

inline

Definition at line 2306 of file Drawable.h.

bool Magick::PathArcArgs::sweepFlag | ( | void |  | ) | const

inline

Definition at line 2310 of file Drawable.h.

void Magick::PathArcArgs::x | ( | double | x_ | ) |

inline

Definition at line 2315 of file Drawable.h.

double Magick::PathArcArgs::x | ( | void |  | ) | const

inline

Definition at line 2319 of file Drawable.h.

void Magick::PathArcArgs::xAxisRotation | ( | double | xAxisRotation_ | ) |

inline

Definition at line 2288 of file Drawable.h.

double Magick::PathArcArgs::xAxisRotation | ( | void |  | ) | const

inline

Definition at line 2292 of file Drawable.h.

void Magick::PathArcArgs::y | ( | double | y_ | ) |

inline

Definition at line 2324 of file Drawable.h.

double Magick::PathArcArgs::y | ( | void |  | ) | const

inline

Definition at line 2328 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp